GET api/Center?centerId={centerId}&startDate={startDate}&includeOnlineCenterClasses={includeOnlineCenterClasses}&includeCrossCenterGroupClasses={includeCrossCenterGroupClasses}
Authorization
Access to this endpoint is public.
Request Information
URI Parameters
| Name | Description | Type | Additional information |
|---|---|---|---|
| centerId | globally unique identifier |
Required |
|
| startDate | date |
Required |
|
| includeOnlineCenterClasses | boolean |
Default value is True |
|
| includeCrossCenterGroupClasses | boolean |
Default value is False |
Body Parameters
None.
Response Information
Resource Description
Collection of PearsonEnglish.LearningServices.Wse.Models.Views.ScheduledClassViewModel| Name | Description | Type | Additional information |
|---|---|---|---|
| Id | globally unique identifier |
None. |
|
| ClassId | string |
None. |
|
| ClassCode | string |
None. |
|
| ClassType | integer |
None. |
|
| NumberOfSeats | integer |
None. |
|
| NumberOfStudents | integer |
None. |
|
| IsComplete | boolean |
None. |
|
| NumberOfStudentsOnStandbyList | integer |
None. |
|
| MaxNumberOfStudentsOnStandbyList | integer |
None. |
|
| IsClosed | boolean |
None. |
|
| IsOnline | boolean |
None. |
|
| StartDate | date |
None. |
|
| Duration | integer |
None. |
|
| Categories | Collection of PearsonEnglish.LearningServices.Core.Models.Views.CategoryViewModel |
None. |
|
| CategoriesAbbreviations | string |
None. |
|
| ClassDescription | string |
None. |
|
| CompanyId | globally unique identifier |
None. |
|
| AcceptsStandby | boolean |
None. |
|
| TeacherId | globally unique identifier |
None. |
|
| TeacherSsdsId | string |
None. |
|
| IsVisibleInGroup | boolean |
None. |
|
| IsB2B | boolean |
None. |
|
| IsStandbyListFull | boolean |
None. |
|
| CenterId | globally unique identifier |
None. |
|
| CenterName | string |
None. |
|
| IsTechnologyEnabledCenter | boolean |
None. |
|
| IsScheduledInOnlineCenter | boolean |
None. |
|
| IsTeen | boolean |
None. |
Response Formats
application/json, text/json
Sample:
[
{
"Id": "65e4f216-c44d-4ee0-a6e8-f52748532b3f",
"ClassId": "sample string 2",
"ClassCode": "sample string 3",
"ClassType": 4,
"NumberOfSeats": 5,
"NumberOfStudents": 6,
"IsComplete": true,
"NumberOfStudentsOnStandbyList": 1,
"MaxNumberOfStudentsOnStandbyList": 7,
"IsClosed": true,
"IsOnline": true,
"StartDate": "2026-11-06T15:12:57.2621807+00:00",
"Duration": 9,
"Categories": [
{
"Id": "b21323c7-ca68-4de7-8d82-0a32bfbe6f52",
"Type": "sample string 2",
"Sequence": 1,
"Path": "sample string 3",
"Attributes": {
"sample string 1": "sample string 2",
"sample string 3": "sample string 4"
},
"ChildCategories": []
},
{
"Id": "b21323c7-ca68-4de7-8d82-0a32bfbe6f52",
"Type": "sample string 2",
"Sequence": 1,
"Path": "sample string 3",
"Attributes": {
"sample string 1": "sample string 2",
"sample string 3": "sample string 4"
},
"ChildCategories": []
}
],
"CategoriesAbbreviations": "sample string 10",
"ClassDescription": "sample string 11",
"CompanyId": "6229dae9-4c17-4dc0-8eee-59ed2d57e28f",
"AcceptsStandby": true,
"TeacherId": "4118601e-aea7-481f-b068-9428107d0378",
"TeacherSsdsId": "sample string 14",
"IsVisibleInGroup": true,
"IsB2B": true,
"IsStandbyListFull": false,
"CenterId": "89642c17-0e3a-44e4-86b7-45d4a11a7571",
"CenterName": "sample string 17",
"IsTechnologyEnabledCenter": true,
"IsScheduledInOnlineCenter": true,
"IsTeen": true
},
{
"Id": "65e4f216-c44d-4ee0-a6e8-f52748532b3f",
"ClassId": "sample string 2",
"ClassCode": "sample string 3",
"ClassType": 4,
"NumberOfSeats": 5,
"NumberOfStudents": 6,
"IsComplete": true,
"NumberOfStudentsOnStandbyList": 1,
"MaxNumberOfStudentsOnStandbyList": 7,
"IsClosed": true,
"IsOnline": true,
"StartDate": "2026-11-06T15:12:57.2621807+00:00",
"Duration": 9,
"Categories": [
{
"Id": "b21323c7-ca68-4de7-8d82-0a32bfbe6f52",
"Type": "sample string 2",
"Sequence": 1,
"Path": "sample string 3",
"Attributes": {
"sample string 1": "sample string 2",
"sample string 3": "sample string 4"
},
"ChildCategories": []
},
{
"Id": "b21323c7-ca68-4de7-8d82-0a32bfbe6f52",
"Type": "sample string 2",
"Sequence": 1,
"Path": "sample string 3",
"Attributes": {
"sample string 1": "sample string 2",
"sample string 3": "sample string 4"
},
"ChildCategories": []
}
],
"CategoriesAbbreviations": "sample string 10",
"ClassDescription": "sample string 11",
"CompanyId": "6229dae9-4c17-4dc0-8eee-59ed2d57e28f",
"AcceptsStandby": true,
"TeacherId": "4118601e-aea7-481f-b068-9428107d0378",
"TeacherSsdsId": "sample string 14",
"IsVisibleInGroup": true,
"IsB2B": true,
"IsStandbyListFull": false,
"CenterId": "89642c17-0e3a-44e4-86b7-45d4a11a7571",
"CenterName": "sample string 17",
"IsTechnologyEnabledCenter": true,
"IsScheduledInOnlineCenter": true,
"IsTeen": true
}
]